org.eclipse.draw2d

## Class FocusBorder

- java.lang.Object
- - org.eclipse.draw2d.AbstractBorder
  - - org.eclipse.draw2d.FocusBorder

All Implemented Interfaces:
  Border

    public class FocusBorder
    extends AbstractBorder

A Border that looks like the system's focus rectangle.

### Field Summary

### Fields inherited from class org.eclipse.draw2d.AbstractBorder

`tempRect`

### Constructor Summary

Constructors
Constructor and Description
`FocusBorder()` Constructs a new FocusBorder.

### Method Summary

Methods
`Insets` `getInsets(IFigure figure)` Returns the Insets for this Border for the given Figure.
`boolean` `isOpaque()` Returns `true` if the Border completely fills the region defined in `Border.paint(IFigure, Graphics, Insets)`.
`void` `paint(IFigure figure, Graphics graphics, Insets insets)` Paints a focus rectangle.

### Methods inherited from class org.eclipse.draw2d.AbstractBorder

`getPaintRectangle, getPreferredSize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FocusBorder

    public FocusBorder()

Constructs a new FocusBorder.

### Method Detail

#### getInsets

    public Insets getInsets(IFigure figure)

Description copied from interface: `Border`
Returns the Insets for this Border for the given Figure.

Parameters:
  `figure` - The figure this border belongs to
Returns:
  The insets
See Also:
  `Border.getInsets(IFigure)`

#### isOpaque

    public boolean isOpaque()

Description copied from interface: `Border`
Returns `true` if the Border completely fills the region defined in `Border.paint(IFigure, Graphics, Insets)`.

Specified by:
  `isOpaque` in interface `Border`
Overrides:
  `isOpaque` in class `AbstractBorder`
Returns:
  `true` if this border is opaque
See Also:
  `Border.isOpaque()`

#### paint

    public void paint(IFigure figure,
             Graphics graphics,
             Insets insets)

Paints a focus rectangle.

Parameters:
  `figure` - The figure this border belongs to
  `graphics` - The graphics object used for painting
  `insets` - The insets
See Also:
  `Border.paint(IFigure, Graphics, Insets)`